@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --dxds-color-content-success-default-rest: #198754;
    --dxds-color-content-danger-default-rest: #dc3545;
    --dxds-color-content-warning-default-rest: #ffc107;
    --dxds-color-content-info-default-rest: #0dcaf0;
    --bs-success: #198754;
    --bs-danger: #dc3545;
    --bs-warning: #ffc107;
    --bs-info: #0dcaf0;
}

html, body {
    height: 100%;
}

app {
    display: block;
    height: 100%;
}

.header-logo {
    flex-shrink: 0;
    background: url('../images/Logo.svg');
    background-repeat: no-repeat;
    width: 180px;
    height: 30px;
    background-size: contain;
    background-position: center;
}

#blazor-error-ui {
    background: inherit;
    bottom: 0;
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100001;
}

#loadingBackground{
    background-color: #FFF !important;
    transition: none !important;
}
.loading-image{
    height: 100px;
    width: auto;
}
.form-control[readonly]{
    background-color: inherit;
}
.clickable-xaf-nav-item > a .xaf-nav-link, .clickable-xaf-nav-item > div > a .xaf-nav-link {
    text-decoration: none;
}
.ms-auto{
    margin-left: auto !important;
}
.logo-container{
    color: #000 !important;
    border: 1px solid #000;
    border-radius: 50%;
}
.dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active, .dxbl-tabs > .dxbl-tabs-tablist > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active {
    color: #000;
    font-weight: bold;
}
.dxbl-modal-dialog {
    background-color: #ffffff !important;
    color: #212529 !important;
}

    .dxbl-modal-dialog * {
        color: inherit;
    }

.dxbl-modal-header,
.dxbl-modal-body,
.dxbl-modal-footer {
    background-color: #ffffff !important;
    color: #212529 !important;
}
#applicationLoadingPanel, .logon-main-container {
    background-image: url(/images/background.jpg);
    background-size: cover;
}